### Signal

# Ide Buffer::line-flags-changed

#### Declaration

    void
    line_flags_changed (
      IdeBuffer* self,
      gpointer user_data
    )

#### Description

The “line-flags-changed” signal is emitted when the buffer has detected ancillary information has changed for lines in the buffer. Such information might include diagnostics or version control information.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32